"""adding ui node type to actions

Revision ID: 5469feaf9176
Revises: de7c8b9f27d9
Create Date: 2025-01-02 13:09:19.328948

"""

from typing import Sequence, Union

from alembic import op
import sqlalchemy as sa
import sqlmodel
import agentic_workflow


# revision identifiers, used by Alembic.
revision: str = "5469feaf9176"
down_revision: Union[str, None] = "de7c8b9f27d9"
branch_labels: Union[str, Sequence[str], None] = None
depends_on: Union[str, Sequence[str], None] = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.execute(
        "CREATE TYPE uinodetype AS ENUM ('ACTION', 'CONDITION', 'LOOP', 'SUBFLOW')"
    )
    op.add_column(
        "workflows_app_action",
        sa.Column(
            "uiNodeType",
            sa.Enum("ACTION", "CONDITION", "LOOP", "SUBFLOW", name="uinodetype"),
            nullable=False,
        ),
    )
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column("workflows_app_action", "uiNodeType")
    op.execute("DROP TYPE uinodetype")
    # ### end Alembic commands ###
